Latest News:
*New 11.2 series Release:
2019-06-20: XigmaNAS 11.2.0.4.6766 - released!

*New 12.0 series Release:
2019-06-20: XigmaNAS 12.0.0.4.6766 - released!

We really need "Your" help on XigmaNAS https://translations.launchpad.net/xigmanas translations. Please help today!

Producing and hosting XigmaNAS costs money Please consider donating for our project so that we can continue to offer you the best.
We need your support! eg: PAYPAL

Can't update mono 5.2 to 5.10

Jails with XigmaNAS
Forum rules
Set-Up GuideFAQsForum Rules
Post Reply
Anahi
NewUser
NewUser
Posts: 4
Joined: 28 Jul 2018 12:04
Status: Offline

Can't update mono 5.2 to 5.10

#1

Post by Anahi » 08 Aug 2019 18:54

Hi everyone,

I'm having a problem with mono inside a jail.
To sketch my situation:
I have both sonarr and radarr set up inside a jail. These two packages currently use mono version 5.2. But when I try to update radarr, I'm getting an error:

Code: Select all

Error occurred while executing task ApplicationUpdate: Error: SecureChannelFailure (The authentication or decryption has failed.)
(sonarr updates just fine)

After some research, I've discovered that this problem occurs since Github is TLS-1.2 only now and mono version 5.2 doesn't support this out of the box.
On multiple other forums (FreeBSD, FreeNAS, ...) they al recommend updating mono to version 5.10 (which does support this).
However, I'm not able to update to that version. When I try:

Code: Select all

pkg update; pkg upgrade
or even with the parameter "-f", I get the message that all packages are up to date:

Code: Select all

Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking for upgrades (0 candidates): 100%
Processing candidates (0 candidates): 100%
Checking integrity... done (0 conflicting)
Your packages are up to date.
On both the FreeBSD forums and FreeNAS forums it is mentioned that it's possible to update to 5.10, but I can't seem to update it on XigmaNAS.

Some additional info: the jail used to be version 11.2 or 11.3 (can't remember) but has been updated to 12.0-RELEASE-p9

Would anyone know what I'm doing wrong or know how i can update?

Thanks in advance!

Post Reply

Return to “Jails”